﻿.container-form {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 1rem;
    margin-top: 4rem;
}

.container-head {
    display: flex;
    flex-direction: row;
    justify-content: center;
    border-bottom: 3px solid #f2f2f2;
    margin-bottom: 1.2rem;
    max-width: 50vw;
    width: 100%;
}

.table {
    width: 100%;
    max-width: 65vw;
    max-height: 50vh;
    overflow-y: auto;
    border-collapse: collapse;
    position: relative;
    scroll-behavior: smooth;
    transition: 1s ease-in;
}

.table-head-tag,
.table-row-tag {
    padding: 8px;
    border: 1px solid #ddd;
    text-align: center;
}

.table-head-tag {
    background-color: #E5E5E5;
    position: sticky;
    top: 0;
}

.table tbody {
    display: block;
    overflow-y: auto;
    max-height: calc(50vh - 40px);
}

.table thead, .table tbody tr {
    display: table;
    width: 100%;
    table-layout: fixed;
}


.description-content {
    max-height: 50px;
    padding: 4px;
    overflow: hidden;
}

    .description-content:hover {
        max-height: 150px;
        transition: 1s;
    }

.block-button-form {
    text-decoration: none;
    color: #ffffff;
    text-align: center;
    background-color: #FCA311;
    border-radius: 0.5rem;
    padding: 0.5rem 1rem;
    margin: 2rem auto;
    width: 20%;
    cursor: pointer;
}

    .block-button-form:hover {
        background-color: #c17c0c;
        transition: 0.4s ease-in-out;
    }

.form {
    display: flex;
    flex-direction: column;
    margin: 1rem;
    margin-bottom: 10rem;
    padding: 1rem;
    border: solid #f2f2f2;
    border-radius: 5%;
    max-width: 350px;
    width: 100%;
    position: relative;
}

    .form input {
        width: 100%;
        padding: 12px 20px;
        margin: 8px 0;
        display: inline-block;
        border: 1px solid #ccc;
        border-radius: 4px;
    }

    .form label {
        font-size: 0.7rem;
    }

    .form legend {
        position: relative;
        top: -1.5rem;
        font-size: 0.7rem;
        color: #000000;
        margin-bottom: -1rem;
    }

    .form textarea {
        width: 100%;
        padding: 12px 20px;
        margin: 8px 0;
        display: inline-block;
        border: 1px solid #ccc;
        border-radius: 4px;
        box-sizing: border-box;
    }

span img {
    width: 0.8rem;
    height: 0.8rem;
}

.selected-page a {
    color: #FCA311;
}

.hidden{
    display: none;
}

.block-button-show {
    text-decoration: none;
    color: #ffffff;
    text-align: center;
    background-color: #FCA311;
    padding: 0.5rem 1rem;
    border: solid #FCA311;
    border-radius: 0.5rem;
    margin: 1rem auto;
    width: 10%;
    cursor:pointer;
}
    .block-button-show:hover {
        background-color: #c17c0c;
        border: solid #c17c0c;
        transition: 0.4s ease-in-out;
    }

.scroll-top{
    width: 7%;
}